#
# Makefile for Linux drivers/sound source directory
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile...

.c.s:
	$(CC) $(CFLAGS) -S $<
.c.o:
	$(CC) $(CFLAGS) -c $<
.s.o:
	$(AS) -o $*.o $<

CFLAGS := $(CFLAGS) -Wa,-m68030

OBJS	:=

ifdef CONFIG_DMASOUND
OBJS	:= $(OBJS) dmasound.o
endif

all: sound.a

sound.a: $(OBJS)
	rm -f sound.a
	$(AR) rcs sound.a $(OBJS)
	sync

dmasound.o:

clean:
	$(RM) $(RMFLAGS) *.o *.a

dep:
	$(CPP) -M *.c > .depend

modules:

# Configure wants to do a `make config' here...
config:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
